package org.bazaar_vcs.qbzr_eclipse.handlers;

/**
 * Exception that is thrown if it is not possible to run a command on the
 * current selection.
 */
@SuppressWarnings("serial")
public class CannotRunCommandOnSelectionException extends Exception
{

	public CannotRunCommandOnSelectionException()
	{
		super();
	}

	public CannotRunCommandOnSelectionException(String message, Throwable cause)
	{
		super(message, cause);
	}

	public CannotRunCommandOnSelectionException(String message)
	{
		super(message);
	}

	public CannotRunCommandOnSelectionException(Throwable cause)
	{
		super(cause);
	}

}
