package org.bazaar_vcs.qbzr_eclipse.handlers;

import java.io.File;
import java.util.List;

public class ConfigCommandHandler extends BazaarCommandHandler
{

	@Override
	protected String getCommandName()
	{
		return "qconfig";
	}

	@Override
	protected void checkCommandCanRunOnSelection(List<File> selectedFiles,
			File fileBeingEdited,
			File branchDirectory) throws CannotRunCommandOnSelectionException
	{
		// Can always be run
	}

	@Override
	protected boolean useSelectedFilesAsArguments()
	{
		return false;
	}

}
