package org.bazaar_vcs.qbzr_eclipse.handlers;

/** Exception thrown when there is an error executing a Bazaar command. */
@SuppressWarnings("serial")
public class ErrorExecutingCommandException extends Exception
{

	public ErrorExecutingCommandException(String command, Throwable cause)
	{
		super("Error executing command \"" + command + "\"", cause);
	}

}
