package org.bazaar_vcs.qbzr_eclipse.handlers;

import java.io.File;
import java.util.List;

public class PushNoGUICommandHandler extends BazaarCommandHandler
{

    @Override
    protected String getCommandName()
    {
        return "push";
    }

    @Override
    protected void addArguments(List<String> command,
            List<File> selectedFiles,
            File fileBeingEdited,
            File branchDirectory,
            File directoryToRunIn)
    {
        command.add("--no-strict");
    }

    @Override
    protected boolean useSelectedFilesAsArguments()
    {
        return false;
    }
}
