package org.bazaar_vcs.qbzr_eclipse.preferences;

import org.bazaar_vcs.qbzr_eclipse.QBzrEclipsePlugin;
import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.jface.preference.IPreferenceStore;


/**
 * Class used to initialize default preference values.
 */
public class PreferenceInitializer extends AbstractPreferenceInitializer
{

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer#initializeDefaultPreferences()
	 */
	@Override
	public void initializeDefaultPreferences()
	{
		IPreferenceStore store = QBzrEclipsePlugin.getInstance()
				.getPreferenceStore();
		store.setDefault(PreferenceConstants.BAZAAR_PATH, "bzr");
		store.setDefault(PreferenceConstants.LEAVE_DIALOGS_OPEN, false);
		store.setDefault(PreferenceConstants.REFRESH_PROJECTS_AFTER_FILE_CHANGING_COMMANDS, true);
	}

}
